import baseSetting from '../base/setting'

/**
 * UFX Core全局配置接口
 */
export default interface Setting extends baseSetting {
  /**
   * 项目的配置文件名
   */
  'CONFIG_FILE_NAME': string;
  /**
   * 检查模块缓存的 cache-key 前缀，用于判断该模块是否需要升级
   */
  'MODULE_UPDATE_PRE': string;
  /**
   * 上次检查到的框架 online模块的列表缓存的 cache-key
   */
  'ONLINE_MODULE_CACHE_KEY': string;
  /**
   * 上次检查到的ufx online模块的列表缓存的 cache-key
   */
  'UFX_ONLINE_MODULE_CACHE_KEY': string;
}
